import { Exome } from "exome";
import { ReactiveController, ReactiveControllerHost } from "lit";
export declare class StoreController<T extends Exome> implements ReactiveController {
    private host;
    store: T;
    private unsubscribe;
    constructor(host: ReactiveControllerHost, store: T);
    hostConnected(): void;
    hostDisconnected(): void;
}
